name: chromium
version: 143.0.7499.169
summary: Chromium web browser, open-source version of Chrome
description: |
  An open-source browser project that aims to build a safer, faster, and more
  stable way for all Internet users to experience the web.
architectures:
- amd64
base: core24
assumes:
- command-chain
- snapd2.43
- snapd2.55
apps:
  chromium:
    command: bin/chromium.launcher
    common-id: chromium-browser.desktop
    plugs:
    - desktop
    - desktop-legacy
    - gsettings
    - opengl
    - wayland
    - x11
    - audio-playback
    - audio-record
    - bluez
    - camera
    - cups
    - hardware-observe
    - hidraw
    - home
    - joystick
    - kerberos-tickets
    - mount-observe
    - network
    - network-manager
    - password-manager-service
    - pcscd
    - raw-usb
    - removable-media
    - screen-inhibit-control
    - serial-port
    - system-packages-doc
    - timezone-control
    - u2f-devices
    - unity7
    - upower-observe
    slots:
    - mpris
    environment:
      CHROME_DESKTOP: chromium.desktop
      CHROME_CONFIG_HOME: $SNAP_USER_COMMON
      GTK_USE_PORTAL: '1'
    command-chain:
    - snap/command-chain/gpu-2404-wrapper
    - snap/command-chain/desktop-launch
  chromedriver:
    command: usr/lib/chromium-browser/chromedriver
    plugs:
    - desktop
    - desktop-legacy
    - gsettings
    - opengl
    - wayland
    - x11
    - network-bind
    - audio-playback
    - audio-record
    - bluez
    - camera
    - cups
    - hardware-observe
    - hidraw
    - home
    - joystick
    - kerberos-tickets
    - mount-observe
    - network
    - network-manager
    - password-manager-service
    - pcscd
    - raw-usb
    - removable-media
    - screen-inhibit-control
    - serial-port
    - system-packages-doc
    - timezone-control
    - u2f-devices
    - unity7
    - upower-observe
    slots:
    - mpris
    command-chain:
    - snap/command-chain/gpu-2404-wrapper
    - snap/command-chain/desktop-launch
  daemon:
    command: bin/chromium.launcher
    restart-delay: 3s
    daemon: simple
    install-mode: disable
    plugs:
    - desktop
    - desktop-legacy
    - gsettings
    - opengl
    - wayland
    - x11
    - audio-playback
    - audio-record
    - bluez
    - camera
    - cups
    - home
    - joystick
    - mount-observe
    - network
    - network-manager
    - password-manager-service
    - raw-usb
    - removable-media
    - screen-inhibit-control
    - system-packages-doc
    - u2f-devices
    - unity7
    - upower-observe
    environment:
      CHROME_CONFIG_HOME: $SNAP_USER_COMMON
    command-chain:
    - snap/command-chain/gpu-2404-wrapper
    - snap/command-chain/desktop-launch
    - bin/daemon.wrapper
confinement: strict
grade: stable
environment:
  SNAP_DESKTOP_RUNTIME: $SNAP/gnome-platform
  GTK_USE_PORTAL: '1'
  LD_LIBRARY_PATH: ${SNAP_LIBRARY_PATH}${LD_LIBRARY_PATH:+:$LD_LIBRARY_PATH}:$SNAP/usr/lib:$SNAP/usr/lib/x86_64-linux-gnu
  PATH: $SNAP/usr/sbin:$SNAP/usr/bin:$SNAP/sbin:$SNAP/bin:$PATH
plugs:
  install-cups-runtime-dependency:
    content: foo
    interface: content
    target: $SNAP_DATA/foo
    default-provider: cups
  browser-sandbox:
    interface: browser-support
    allow-sandbox: true
  dot-local-share-applications:
    interface: personal-files
    write:
    - $HOME/.local/share/applications
  dot-local-share-icons:
    interface: personal-files
    write:
    - $HOME/.local/share/icons
  chromium-config:
    interface: personal-files
    read:
    - $HOME/.config/chromium
    - $HOME/.chromium-browser.init
  etc-chromium-browser-policies:
    interface: system-files
    read:
    - /etc/chromium-browser/policies
  desktop:
    mount-host-font-cache: false
  gtk-3-themes:
    interface: content
    target: $SNAP/data-dir/themes
    default-provider: gtk-common-themes
  icon-themes:
    interface: content
    target: $SNAP/data-dir/icons
    default-provider: gtk-common-themes
  sound-themes:
    interface: content
    target: $SNAP/data-dir/sounds
    default-provider: gtk-common-themes
  gnome-46-2404:
    interface: content
    target: $SNAP/gnome-platform
    default-provider: gnome-46-2404
  gpu-2404:
    interface: content
    target: $SNAP/gpu-2404
    default-provider: mesa-2404
hooks:
  configure:
    command-chain:
    - snap/command-chain/hooks-configure-fonts
    plugs:
    - desktop
layout:
  /usr/lib/man-db:
    bind: $SNAP/usr/lib/man-db
  /usr/lib/x86_64-linux-gnu/opensc-pkcs11.so:
    bind-file: $SNAP/usr/lib/x86_64-linux-gnu/opensc-pkcs11.so
  /usr/lib/x86_64-linux-gnu/webkit2gtk-4.0:
    bind: $SNAP/gnome-platform/usr/lib/x86_64-linux-gnu/webkit2gtk-4.0
  /usr/lib/x86_64-linux-gnu/webkit2gtk-4.1:
    bind: $SNAP/gnome-platform/usr/lib/x86_64-linux-gnu/webkit2gtk-4.1
  /usr/share/xml/iso-codes:
    bind: $SNAP/gnome-platform/usr/share/xml/iso-codes
  /usr/share/libdrm:
    bind: $SNAP/gpu-2404/libdrm
  /usr/share/drirc.d:
    symlink: $SNAP/gpu-2404/drirc.d
  /usr/share/X11/XErrorDB:
    symlink: $SNAP/gpu-2404/X11/XErrorDB
links:
  source-code:
  - https://code.launchpad.net/~chromium-team/chromium-browser/+git/snap-from-source/+ref/stable
